v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/supply/settings/combination-dosing/{combination_kit_id}

Get one manual combination kit dosing definition.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : CombinationKitDosingResponse
Type: object
Manual combination kit dosing response.
Show Source
Nested Schema : doses
Type: array
Show Source
Nested Schema : CombinationKitDosingDoseResponse
Type: object
Manual combination kit dosing dose response.
Show Source
Nested Schema : optionGroups
Type: array
Show Source
Nested Schema : CombinationKitDosingOptionGroupResponse
Type: object
Manual combination kit dosing option group response.
Show Source
Nested Schema : rows
Type: array
Show Source
Nested Schema : CombinationKitDosingRowResponse
Type: object
Manual combination kit dosing row response.
Show Source

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top